<div class="site-profile">
  <form [formGroup]="siteProfileFormGroup">  
    <app-content-banner [isDashboard]="false" [pageName]="pageNameString"></app-content-banner>
    <mat-card class="sp-main-card mat-elevation-z0">
        <mat-card-header fxLayout="column" fxLayoutGap="5px">
            <div fxLayout="row" class="second-header-filter">
                <span><b>Agency Name: </b> &nbsp;&nbsp; <span>{{siteDemographicdata.agencyName}}</span></span>
                <span ><b>Agency Address: </b> &nbsp;&nbsp; <span>{{siteDemographicdata.agencyAddress}}, {{siteDemographicdata.agencyCity}}, {{siteDemographicdata.agencyState}}, {{siteDemographicdata.agencyZip}}</span></span>
                <span><b>Site Name: </b> &nbsp;&nbsp; <span>{{siteDemographicdata.name}}</span></span>
                <span><b>Site Address: </b> &nbsp;&nbsp; <span>{{siteDemographicdata.address}}, {{siteDemographicdata.city}}, {{siteDemographicdata.state}}, {{siteDemographicdata.zip}}</span></span>
            </div>
      </mat-card-header>
      <mat-card-content class="regular-mat-form-field">
        <mat-tab-group dynamicHeight  [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="tabChanged($event)" >
          <mat-tab *ngIf="requestTypeID != 322">
            <ng-template matTabLabel>
              <span>Site Demographics</span>
              <mat-icon *ngIf="siteDemographicDataTabStatus !== 2"
              [ngStyle]="{'color': siteDemographicDataTabStatus == 0 ? pendingColor : siteDemographicDataTabStatus == 1 ?  completedColor :noColor }">
              {{siteDemographicDataTabStatus == 1?'check_circle': siteDemographicDataTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
            </ng-template>
            <ng-template matTabContent>
                    <app-site-demographic-request [options]='useroptions' [siteDemographicData]='siteDemographicdata' [refGroupDetailsData]='refGroupDetailsData'
                    [housingProgramData]='housingProgramData' [requestTypeID]="requestTypeID" [siteRequestID]="siteRequestID"
                    [siteFeatureData]='siteFeaturedata' (siteDemographicDataChanged)='getmodifiedData($event)'></app-site-demographic-request>
            </ng-template>
          </mat-tab>
          <mat-tab>
                  <ng-template matTabLabel>
                    <span>Site Profile</span>
                    <mat-icon *ngIf="sitePrimaryServiceTabStatus !== 2"
                    [ngStyle]="{'color': sitePrimaryServiceTabStatus == 0 ? pendingColor : sitePrimaryServiceTabStatus == 1 ? completedColor :noColor}">
                    {{sitePrimaryServiceTabStatus == 1?'check_circle': sitePrimaryServiceTabStatus == 0 ? 'watch_later': ''}}
                  </mat-icon>
                  </ng-template>
                  <ng-template matTabContent>
                   <app-site-agreement-detail-request [siteAgreePopData]='siteAgreePopData'></app-site-agreement-detail-request>
                  
                  </ng-template>
          </mat-tab>
          <mat-tab>
            <ng-template matTabLabel>
              <span>Primary Service Contract and Unit Details</span>
              <mat-icon *ngIf="sitePrimaryServiceTabStatus !== 2"
              [ngStyle]="{'color': siteUnitDetailTabStatus == 0 ? pendingColor : siteUnitDetailTabStatus == 1 ? completedColor :noColor}">
              {{siteUnitDetailTabStatus == 1?'check_circle': siteUnitDetailTabStatus == 0 ? 'watch_later': ''}}
            </mat-icon>
            </ng-template>
          
            <ng-template matTabContent>
              <div *ngIf="unitTabVisible == false">
                  <app-primary-service-contract-request [siteRequestID]='siteRequestID' [options]='useroptions' (unitdetailopenbtnclick)="unitDetailOpenClick($event)"  ></app-primary-service-contract-request>
              </div>
              <div *ngIf="unitTabVisible == true">
                  <div class="example-container mat-elevation-z4" >
                  <unit-details-request-grid  [siteAgreePopRequestID]='siteAgreePopRequestID' [maxTotalUnits]="totalUnitsByAgreement" [siteRequestID]='siteRequestID' (unitclosebtnclick)="unitCloseClick(false)"></unit-details-request-grid>
                </div>
                </div>
            </ng-template>
          </mat-tab>
          <mat-tab>
                  <ng-template matTabLabel>
                    <span>Approval</span>
                    <mat-icon *ngIf="siteApprovalTabStatus !== 2"
                    [ngStyle]="{'color': siteApprovalTabStatus == 0 ? pendingColor : siteApprovalTabStatus == 1 ? completedColor :noColor}">
                    {{siteApprovalTabStatus == 1?'check_circle': siteApprovalTabStatus == 0 ? 'watch_later': ''}}
                  </mat-icon>
                  </ng-template>
                  <ng-template matTabContent>
                      <app-site-approval-request [options]='useroptions' [siteApprovalData]='siteApprovalData' [requestTypeID]="requestTypeID"
                        [refGroupDetailsData]='refGroupDetailsData' [tadLiaisons]='tadLiaisons'></app-site-approval-request>
                  </ng-template>
          </mat-tab>
        </mat-tab-group>

        <div fxLayout="row" style="margin: 5px; margin-top: 20px;" fxLayoutGap="10px">
          <div fxLayoutAlign="start" fxLayoutGap="10px" fxFlex="80">
            <button type="submit" mat-raised-button color="primary" style="width: 75px;" (click)="approveClicked($event)">Approve</button>
            <button type="button" mat-raised-button color="primary" style="width: 100px;" (click)="disApproveClicked($event)">Disapprove</button>
          </div>
          <div fxLayoutAlign="end" fxLayoutGap="10px" fxFlex>
            <button *ngIf="tabSelectedIndex > 0" mat-raised-button fxFlexAlign="right"  color="primary" style="width: 87px; align-content:center;" (click)="previousPage()">Previous</button>
            <button *ngIf="((tabSelectedIndex < 3 && requestTypeID !== 322) || (tabSelectedIndex < 2 && requestTypeID === 322))" mat-raised-button fxFlexAlign="right" color="primary" style="width: 50px; align-content:center;" (click)="nextPage()">Next</button>
          </div>
        </div>
      
    </mat-card-content>
    </mat-card>
  </form> 
  </div>
  